Skip to main content
`Ctrl`+`K`

# PetscViewerExodusIIGetNodalVariableIndex

return the location of a nodal variable in an ExodusII file given its name

## Synopsis

    #include "petscdmplex.h"
    PetscErrorCode PetscViewerExodusIIGetNodalVariableIndex(PetscViewer viewer, const char name[], PetscExodusIIInt *varIndex)

Collective

## Input Parameters

- viewer - a `PetscViewer` of type `PETSCVIEWEREXODUSII`

- name - the name of the result

## Output Parameter

- varIndex - the location of the variable in the exodus file or -1 if the variable is not found

## Notes

The exodus variable index is obtained by comparing the name argument to the names of zonal variables declared in the exodus file. For instance if name is “V” the location in the exodus file will be the first match of “V”, “V_X”, “V_XX”, “V_1”, or “V_11” amongst all variables of type obj_type.

## See Also

`PetscViewerExodusIISetNodalVariable()`, `PetscViewerExodusIIGetNodalVariable()`, `PetscViewerExodusIISetNodalVariableName()`, `PetscViewerExodusIISetNodalVariableNames()`, `PetscViewerExodusIIGetNodalVariableName()`, `PetscViewerExodusIIGetNodalVariableNames()`

## Level

beginner

## Location

src/dm/impls/plex/exodusii/plexexodusii2.c

Index of all DMPlex routines
Table of Contents for all manual pages
Index of all manual pages